% PURPOSE: Matsuoka,H. (2022), Debt Intolerance: Threshold Level and Composition
% Oxford Bulletin of Economics and Statistics, vol. 84(4), pp. 894-932

clear all,clc,close all


%--------------------------------
%--- Data and Transformations ---
%--------------------------------
data=xlsread('Data.xlsx');

 
%            Y              : the dependant variable,  size, vector (N*T,1)
%            Q              : the transition variable, size, vector (N*T,1)
%            X              : the regressor, size, matrix (N*T,1)
%            Zx             : the control variables
%            N              :  cross-section dimension
%            T              : time dimension. For unbalanced panel, give the T dimension for each cross-unit
N=25; 
T=25; 
Y=data(:,1); % the 5- to 10-year forward real interest
X=data(:,2); % 2-year-ahead expected public debt to GDP ratio,
Q=data(:,3); % the lagged foreign private sector holdings ratio
Zx=data(:,4:end); % the control variables

z1=data(:,4); % 2-year-ahead expected growth rate
z2=data(:,5); % the lagged domestic official sector holdings ratio
z3=data(:,6); % the lagged foreign official sector holdings ratio
z4=data(:,7); % the lagged foreign private sector holdings ratio
z5=data(:,8); % the expected exchange rate depreciation



res1=GPSTR(Y,Q,X,Zx,z1,z2,z3,z4,z5,N);

