%
% PURPOSE: Return Centered Data on the Individual Mean
%
% -------------------------------------------------------
% Usage:   Return Centered Data on the Individual Mean
%          Particularity: this program can consider balanced or not balanced sample % 
% -------------------------------------------------------
%  Function : Centered(Y,sample)
%
% Where: 
%            Y  : is a matrix (T,N) which contains the data
%            sample  : is a vector which contains the sample on which the data have to beeen compute
%
%--------------------------------------------------------------------------------------------------
%RETURNS: Ycent a matrix (T,N) of centred data
%
%           
% --------------------------------------------------------------------------------------------------
%
% C. Hurlin, June 2005
% LEO, University of Orlans
%

function [Ycent]=Centered(Y,sample)

global N

Ycent=ones(size(Y))*NaN;

for i=1:N
    
     Ycent((sample(:,1)==1)&(sample(:,2)==i))=Y((sample(:,1)==1)&(sample(:,2)==i))-mean(Y((sample(:,1)==1)&(sample(:,2)==i)));
    
end
    
Ycent=Ycent(isfinite(Ycent));