

function [condini]=Grid_Search(grid_gam1,grid_gam2,grid_c)

global Y X W Q T N K Xreg beta residual y_cent x_cent w_cent g r condini_last params ncase NT sample Qadj Xadj sampleAdj qs_truncated


gam_def1=[-10 -9  -8 -7 -6 -5 -4 -3 -2 -1 0 1 2 3 4 5 7 8 9 10]';  
gam_def2=[-10 -9  -8 -7 -6 -5 -4 -3 -2 -1 0 1 2 3 4 5 7 8 9 10]'; 



grid_gam1=length(gam_def1);                        %  Grid Search on Gamma values (as In C. Colletaz Rats Code)
grid_gam2=length(gam_def2);
qs=sort(Qadj);                                   % Sorted Values of Qit           

Tadj=length(qs)/N;

%indic=(floor(Tadj/2):1:length(qs)-floor(Tadj/2))';
indic=(floor(0.1*length(qs)):1:floor(0.9*length(qs)))';     

qs_truncated=qs(indic);                         % Truncated sample: 10% of observations are withdraw

step=length(qs_truncated)/grid_c;indic=floor((1:step:step*grid_c)');

c_def=qs_truncated(indic);                       % Values of c(i)

C_GRID=c_def(nchoosek((1:1:grid_c)',1));         % Grid for c(1)<c(2)<..<c(m)

 % Total number of cases                                                 
ncase2=grid_gam1*grid_gam2;                  
Z2=zeros(ncase2,r*(1+1)+2);indic=1;                 
% Values of Gamma      
z2=repmat(gam_def1',grid_gam2,1);
Z2(:,r)=z2(:);  
Z2(:,end-2:end-2)=repmat(gam_def2,grid_gam2,1);   
% Values of c(1), c(2), ..,c(m)
Z3=repmat(C_GRID,ncase2,1);   
Z3=sort(Z3);
Z4=repmat(Z2,length(C_GRID),1);   
Z4(:,end-1:end-1)=Z3;  

%if r>1
    
    %Z(:,1:r-1)=repmat(condini_last(1:r-1)',ncase2,1);       % Previous values of gam (estimated)
   
    %Z(:,r+1:end-1-m)=repmat(condini_last(r:end)',ncase2,1); % Previous values of c (estimated)
    
%end

for i=1:grid_gam1                                 % Loop on the values of gamma
for k=1:grid_gam2    
    for j=1:length(C_GRID)                       % Loop on the values of gamma
               
        params=Z4(indic,1:end-1)';                % Values of parameters

        Z4(indic,end)=NLS(params);                % RSS of Conditionnal OLS (Function NLS)
        
        indic=indic+1;                           % Indicator
        
    end
    
end
end
[a,b]=min(Z4(:,end));                             % Minimum Value of RSS

condini=Z4(b,1:end-1)';                           % Vector of Initial Conditions

disp(' Initial Conditions on (c,gamma)')

disp(condini)
